Exportar transcrição do projeto
curl --request POST \
--url https://api.voicecheap.ai/v1/projects/{projectId}/transcript \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"source": "<string>",
"targetLanguage": "<string>",
"outputFormat": "<string>",
"includeSpeakerLabels": true
}
'import requests
url = "https://api.voicecheap.ai/v1/projects/{projectId}/transcript"
payload = {
"source": "<string>",
"targetLanguage": "<string>",
"outputFormat": "<string>",
"includeSpeakerLabels": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: '<string>',
targetLanguage: '<string>',
outputFormat: '<string>',
includeSpeakerLabels: true
})
};
fetch('https://api.voicecheap.ai/v1/projects/{projectId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transcrição
Exportar transcrição do projeto
Recupere uma transcrição de projeto original ou traduzida como JSON, SRT ou VTT
Exportar transcrição do projeto
Exportar transcrição do projeto
Recupere uma transcrição de um projeto VoiceCheap existente sem usar endpoints internos da aplicação web. O endpoint suporta a transcrição de origem e todas as transcrições de idioma de destino disponíveis. Solicitações bem-sucedidas retornam HTTP200.
Solicitação
string
obrigatório
Sua chave de API VoiceCheap.
string
obrigatório
Identificador de projeto retornado por Criar projeto ou Iniciar tradução.
string
obrigatório
original ou translated.string
Obrigatório quando
source é translated. Use o nome do idioma de destino armazenado no projeto, como french.string
padrão:"json"
json, srt ou vtt.boolean
padrão:"false"
Inclua rótulos de orador visíveis em SRT ou VTT. O JSON sempre inclui números de orador.
Exemplos
cURL — Original JSON
curl -X POST "https://api.voicecheap.ai/v1/projects/project_123/transcript" \
-H "x-api-key: vc_your-api-key" \
-H "Content-Type: application/json" \
-d '{
"source": "original",
"outputFormat": "json"
}'
cURL — Translated SRT
curl -X POST "https://api.voicecheap.ai/v1/projects/project_123/transcript" \
-H "x-api-key: vc_your-api-key" \
-H "Content-Type: application/json" \
-d '{
"source": "translated",
"targetLanguage": "french",
"outputFormat": "srt",
"includeSpeakerLabels": true
}' \
--output project_123-fr.srt
workId para saída traduzida.
Erros
| Status | Código | Descrição |
|---|---|---|
| 400 | TARGET_LANGUAGE_REQUIRED | A saída traduzida foi solicitada sem um idioma |
| 401 | INVALID_API_KEY | A chave de API está ausente ou inválida |
| 403 | FORBIDDEN | A chave de API não pode acessar este projeto |
| 404 | PROJECT_NOT_FOUND | O projeto não existe |
| 404 | TRANSCRIPT_NOT_FOUND | A transcrição de origem ou traduzida solicitada está ausente |
| 409 | TRANSCRIPT_NOT_READY | A transcrição solicitada ainda está sendo processada |
Esta página foi útil?

